import * as i1$1 from '@ngx-translate/core';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { ReactiveFormsModule } from '@angular/forms';
import * as i0 from '@angular/core';
import { Input, HostBinding, ChangeDetectionStrategy, Component, NgModule, ViewEncapsulation } from '@angular/core';
import { Subject } from 'rxjs';
import { takeUntil, tap } from 'rxjs/operators';
import { generateClassPrefix, WMLUIProperty, WMLImage, updateClassString, WMLView } from '@windmillcode/wml-components-base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@windmillcode/angular-wml-components-base';
import { WMLNGXTranslatePipe, WMLNGXTranslateLoader, WMLNGXTranslateMockPipe } from '@windmillcode/angular-wml-components-base';
import * as i2$1 from '@angular/router';
import { RouterModule } from '@angular/router';

var WMLButtonPropsTypeEnum;
(function (WMLButtonPropsTypeEnum) {
    WMLButtonPropsTypeEnum[WMLButtonPropsTypeEnum["PRIMARY"] = 0] = "PRIMARY";
    WMLButtonPropsTypeEnum[WMLButtonPropsTypeEnum["SECONDARY"] = 1] = "SECONDARY";
    WMLButtonPropsTypeEnum[WMLButtonPropsTypeEnum["TERTIARY"] = 2] = "TERTIARY";
})(WMLButtonPropsTypeEnum || (WMLButtonPropsTypeEnum = {}));

// angular
class WMLButtonZeroComponent {
    constructor(cdref) {
        this.cdref = cdref;
        this.classPrefix = generateClassPrefix('WMLButtonZero');
        this.myClass = this.classPrefix(`View`);
        this.props = new WMLButtonZeroProps();
        this.ngUnsub = new Subject();
        this.listenForUpdate = () => {
            return this.props.updateSubj
                .pipe(takeUntil(this.ngUnsub), tap((res) => {
                this.props = new WMLButtonZeroProps({
                    ...this.props,
                    ...(res ?? this.props)
                });
                this.cdref.detectChanges();
            }));
        };
        this.checkPropsInstance = () => {
            return this.props.constructor.name;
        };
    }
    ngOnInit() {
        this.listenForUpdate().subscribe();
        this.props.cdref = this.cdref;
        if (this.props.id) {
            this.myId = this.props.id;
        }
    }
    ngOnDestroy() {
        this.ngUnsub.next();
        this.ngUnsub.complete();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonZeroComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.5", type: WMLButtonZeroComponent, isStandalone: false, selector: "wml-button-zero", inputs: { props: "props" }, host: { properties: { "class": "this.myClass", "attr.id": "this.myId" } }, ngImport: i0, template: "<button [type]=\"props.attr.type\"  [attr.id]=\"props.button.id\"  (click)=\"props.button.click($event)\" [class]=\"props.button.class\" [ngStyle]=\"props.button.style\">\r\n  <ng-container *ngFor=\"let icon of props.icons\">\r\n    <ng-container *ngIf=\"icon.isPresent\" >\r\n      <img [attr.id]=\"icon.id\" *ngIf=\"icon.type === 'img'\" [src]=icon.src [alt]=\"icon.alt\" [class]=\"icon.class\" [ngStyle]=\"icon.style\"/>\r\n      <i   [attr.id]=\"icon.id\" *ngIf=\"icon.type === 'icon'\"  [class]=\"icon.class\" [ngStyle]=\"icon.style\"></i>\r\n    </ng-container>\r\n  </ng-container>\r\n  <span\r\n  *ngIf=\"props.text.isPresent\"\r\n  [attr.id]=\"props.text.id\" [ngStyle]=\"props.text.style\" [class]=\"props.text.class\">{{ props.text.text! | translate}}</span>\r\n</button>\r\n\r\n", styles: [":root{--wml-button-mobile-font: only screen and (max-width: 600px);--wml-button-mobile: only screen and (max-width: 767px);--wml-button-small-mobile: only screen and (max-width: 320px);--wml-button-medium-mobile: only screen and (max-width: 374px);--wml-button-tablet: only screen and (min-width: 768px) and (max-width: 1199px);--wml-button-tablet-portrait: only screen and (min-width: 768px) and (max-width: 991px);--wml-button-tablet-portrait-down: only screen and (max-width: 991px);--wml-button-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1199px);--wml-button-small-desktop: only screen and (min-width: 992px);--wml-button-tablet-landscape-down: only screen and (max-width: 1199px);--wml-button-desktop: only screen and (min-width: 1200px);--wml-button-not-mobile: only screen and (min-width: 768px);--wml-button-laptop: only screen and (min-width: 1200px) and (max-width: 1440px);--wml-button-laptop-down: only screen and (max-width: 1440px);--wml-button-laptop-tablet: only screen and (min-width: 768px) and (max-width: 1440px);--wml-button-laptop-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1440px);--wml-button-large-desktop: only screen and (min-width: 1441px);--wml-button-large-desktop-down: only screen and (max-width: 1599px);--wml-button-xl-desktop: only screen and (min-width: 1600px);--wml-button-xl-desktop-down: only screen and (max-width: 1919px);--wml-button-xxl-desktop: only screen and (min-width: 1920px);--wml-button-xxxl-desktop: only screen and (min-width: 2000px);--wml-button-dekstop-down-for-campaigns: only screen and (max-width: 1250px);--wml-button-tablet-for-header: only screen and (min-width: 768px) and (max-width: 1230px);--wml-button-tablet-landscape-for-header: only screen and (min-width: 992px) and (max-width: 1230px);--wml-button-tablet-landscape-down-for-header: only screen and (max-width: 1230px);--wml-button-desktop-for-header: only screen and (min-width: 1231px);--wml-button-laptop-for-header: only screen and (min-width: 1231px) and (max-width: 1440px)}:root{--wml-button-white:255,255,255;--wml-button-black:0,0,0;--wml-button-primary:144,238,144;--wml-button-secondary:112,112,112;--wml-button-primary-gradient: radial-gradient(farthest-corner at 100% 0px, rgb(144, 238, 144) 0%, rgb(112, 112, 112) 150%);--wml-button-secondary-gradient: radial-gradient(farthest-corner at 100% 0px, grey 0%, rgb(0, 0, 0) 150%)}:host.WMLButtonZeroView{display:block}:host.WMLButtonZeroView .WMLButtonZeroMainButton0{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0,i+:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0{margin:0 0 0 .5rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton0 img{display:inline;width:1.8125rem;height:auto}:host.WMLButtonZeroView .WMLButtonZeroMainButton0 i{font-size:1.25rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton0 img,:host.WMLButtonZeroView .WMLButtonZeroMainButton0 i{flex:0 1 10%}:host.WMLButtonZeroView .WMLButtonZeroMainButton0:hover{cursor:pointer}:host.WMLButtonZeroView .WMLButtonZeroMainButton1{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0,i+:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0{margin:0 0 0 .5rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton1 img{display:inline;width:1.8125rem;height:auto}:host.WMLButtonZeroView .WMLButtonZeroMainButton1 i{font-size:1.25rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton1 img,:host.WMLButtonZeroView .WMLButtonZeroMainButton1 i{flex:0 1 10%}:host.WMLButtonZeroView .WMLButtonZeroMainButton1:hover{cursor:pointer}:host.WMLButtonZeroView .WMLButtonZeroMainButton2{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0,i+:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0{margin:0 0 0 .5rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton2 img{display:inline;width:1.8125rem;height:auto}:host.WMLButtonZeroView .WMLButtonZeroMainButton2 i{font-size:1.25rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton2 img,:host.WMLButtonZeroView .WMLButtonZeroMainButton2 i{flex:0 1 10%}:host.WMLButtonZeroView .WMLButtonZeroMainButton2:hover{cursor:pointer}:host.WMLButtonZeroView .WMLButtonZeroMainButton0{background:#90ee90;border:.1875rem solid rgb(0,0,0)}:host.WMLButtonZeroView .WMLButtonZeroMainButton0:hover{background:#707070;border:.1875rem solid rgb(255,255,255)}:host.WMLButtonZeroView .WMLButtonZeroMainButton0:hover .WMLButtonZeroMainButton0Text0{color:#fff}:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0{color:#000}:host.WMLButtonZeroView .WMLButtonZeroMainButton1{background:radial-gradient(farthest-corner at 100% 0px,gray,#000 150%);border:.1875rem solid rgb(255,255,255)}:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0{color:#fff}:host.WMLButtonZeroView .WMLButtonZeroMainButton1:hover{background:#90ee90;border:.1875rem solid rgb(0,0,0)}:host.WMLButtonZeroView .WMLButtonZeroMainButton1:hover .WMLButtonZeroMainButton1Text0{color:#000}:host.WMLButtonZeroView .WMLButtonZeroMainButton2{background-color:#000;border:.1875rem solid #90ee90}:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0{color:#90ee90}:host.WMLButtonZeroView .WMLButtonZeroMainButton2:hover{background:#707070;border:.1875rem solid #90ee90}:host.WMLButtonZeroView .WMLButtonZeroMainButton2:hover .WMLButtonZeroMainButton2Text0{color:#90ee90}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "pipe", type: i2.WMLNGXTranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonZeroComponent, decorators: [{
            type: Component,
            args: [{ selector: 'wml-button-zero', changeDetection: ChangeDetectionStrategy.OnPush, standalone: false, template: "<button [type]=\"props.attr.type\"  [attr.id]=\"props.button.id\"  (click)=\"props.button.click($event)\" [class]=\"props.button.class\" [ngStyle]=\"props.button.style\">\r\n  <ng-container *ngFor=\"let icon of props.icons\">\r\n    <ng-container *ngIf=\"icon.isPresent\" >\r\n      <img [attr.id]=\"icon.id\" *ngIf=\"icon.type === 'img'\" [src]=icon.src [alt]=\"icon.alt\" [class]=\"icon.class\" [ngStyle]=\"icon.style\"/>\r\n      <i   [attr.id]=\"icon.id\" *ngIf=\"icon.type === 'icon'\"  [class]=\"icon.class\" [ngStyle]=\"icon.style\"></i>\r\n    </ng-container>\r\n  </ng-container>\r\n  <span\r\n  *ngIf=\"props.text.isPresent\"\r\n  [attr.id]=\"props.text.id\" [ngStyle]=\"props.text.style\" [class]=\"props.text.class\">{{ props.text.text! | translate}}</span>\r\n</button>\r\n\r\n", styles: [":root{--wml-button-mobile-font: only screen and (max-width: 600px);--wml-button-mobile: only screen and (max-width: 767px);--wml-button-small-mobile: only screen and (max-width: 320px);--wml-button-medium-mobile: only screen and (max-width: 374px);--wml-button-tablet: only screen and (min-width: 768px) and (max-width: 1199px);--wml-button-tablet-portrait: only screen and (min-width: 768px) and (max-width: 991px);--wml-button-tablet-portrait-down: only screen and (max-width: 991px);--wml-button-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1199px);--wml-button-small-desktop: only screen and (min-width: 992px);--wml-button-tablet-landscape-down: only screen and (max-width: 1199px);--wml-button-desktop: only screen and (min-width: 1200px);--wml-button-not-mobile: only screen and (min-width: 768px);--wml-button-laptop: only screen and (min-width: 1200px) and (max-width: 1440px);--wml-button-laptop-down: only screen and (max-width: 1440px);--wml-button-laptop-tablet: only screen and (min-width: 768px) and (max-width: 1440px);--wml-button-laptop-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1440px);--wml-button-large-desktop: only screen and (min-width: 1441px);--wml-button-large-desktop-down: only screen and (max-width: 1599px);--wml-button-xl-desktop: only screen and (min-width: 1600px);--wml-button-xl-desktop-down: only screen and (max-width: 1919px);--wml-button-xxl-desktop: only screen and (min-width: 1920px);--wml-button-xxxl-desktop: only screen and (min-width: 2000px);--wml-button-dekstop-down-for-campaigns: only screen and (max-width: 1250px);--wml-button-tablet-for-header: only screen and (min-width: 768px) and (max-width: 1230px);--wml-button-tablet-landscape-for-header: only screen and (min-width: 992px) and (max-width: 1230px);--wml-button-tablet-landscape-down-for-header: only screen and (max-width: 1230px);--wml-button-desktop-for-header: only screen and (min-width: 1231px);--wml-button-laptop-for-header: only screen and (min-width: 1231px) and (max-width: 1440px)}:root{--wml-button-white:255,255,255;--wml-button-black:0,0,0;--wml-button-primary:144,238,144;--wml-button-secondary:112,112,112;--wml-button-primary-gradient: radial-gradient(farthest-corner at 100% 0px, rgb(144, 238, 144) 0%, rgb(112, 112, 112) 150%);--wml-button-secondary-gradient: radial-gradient(farthest-corner at 100% 0px, grey 0%, rgb(0, 0, 0) 150%)}:host.WMLButtonZeroView{display:block}:host.WMLButtonZeroView .WMLButtonZeroMainButton0{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0,i+:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0{margin:0 0 0 .5rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton0 img{display:inline;width:1.8125rem;height:auto}:host.WMLButtonZeroView .WMLButtonZeroMainButton0 i{font-size:1.25rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton0 img,:host.WMLButtonZeroView .WMLButtonZeroMainButton0 i{flex:0 1 10%}:host.WMLButtonZeroView .WMLButtonZeroMainButton0:hover{cursor:pointer}:host.WMLButtonZeroView .WMLButtonZeroMainButton1{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0,i+:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0{margin:0 0 0 .5rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton1 img{display:inline;width:1.8125rem;height:auto}:host.WMLButtonZeroView .WMLButtonZeroMainButton1 i{font-size:1.25rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton1 img,:host.WMLButtonZeroView .WMLButtonZeroMainButton1 i{flex:0 1 10%}:host.WMLButtonZeroView .WMLButtonZeroMainButton1:hover{cursor:pointer}:host.WMLButtonZeroView .WMLButtonZeroMainButton2{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0,i+:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0{margin:0 0 0 .5rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton2 img{display:inline;width:1.8125rem;height:auto}:host.WMLButtonZeroView .WMLButtonZeroMainButton2 i{font-size:1.25rem}:host.WMLButtonZeroView .WMLButtonZeroMainButton2 img,:host.WMLButtonZeroView .WMLButtonZeroMainButton2 i{flex:0 1 10%}:host.WMLButtonZeroView .WMLButtonZeroMainButton2:hover{cursor:pointer}:host.WMLButtonZeroView .WMLButtonZeroMainButton0{background:#90ee90;border:.1875rem solid rgb(0,0,0)}:host.WMLButtonZeroView .WMLButtonZeroMainButton0:hover{background:#707070;border:.1875rem solid rgb(255,255,255)}:host.WMLButtonZeroView .WMLButtonZeroMainButton0:hover .WMLButtonZeroMainButton0Text0{color:#fff}:host.WMLButtonZeroView .WMLButtonZeroMainButton0Text0{color:#000}:host.WMLButtonZeroView .WMLButtonZeroMainButton1{background:radial-gradient(farthest-corner at 100% 0px,gray,#000 150%);border:.1875rem solid rgb(255,255,255)}:host.WMLButtonZeroView .WMLButtonZeroMainButton1Text0{color:#fff}:host.WMLButtonZeroView .WMLButtonZeroMainButton1:hover{background:#90ee90;border:.1875rem solid rgb(0,0,0)}:host.WMLButtonZeroView .WMLButtonZeroMainButton1:hover .WMLButtonZeroMainButton1Text0{color:#000}:host.WMLButtonZeroView .WMLButtonZeroMainButton2{background-color:#000;border:.1875rem solid #90ee90}:host.WMLButtonZeroView .WMLButtonZeroMainButton2Text0{color:#90ee90}:host.WMLButtonZeroView .WMLButtonZeroMainButton2:hover{background:#707070;border:.1875rem solid #90ee90}:host.WMLButtonZeroView .WMLButtonZeroMainButton2:hover .WMLButtonZeroMainButton2Text0{color:#90ee90}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { myClass: [{
                type: HostBinding,
                args: ['class']
            }], myId: [{
                type: HostBinding,
                args: ['attr.id']
            }], props: [{
                type: Input,
                args: ['props']
            }] } });
class WMLButtonZeroProps {
    constructor(props = {}) {
        this.updateSubj = new Subject();
        this._type = WMLButtonPropsTypeEnum.PRIMARY;
        this.text = new WMLUIProperty({
            text: "Click Me",
        });
        this.button = new WMLUIProperty({
            click: () => {
                alert("This button was clicked");
            }
        });
        this.icons = [new WMLImage({
                isPresent: false,
                class: 'fa-solid'
            })];
        this.attr = {
            /**
             * The type of the button.
             * Possible values: "submit" | "reset" | "button"
             * @type {"submit" | "reset" | "button"}
             */
            type: "button"
        };
        Object.assign(this, {
            ...props
        });
        this.updateBtnClasses(this.type);
        this.icons = this.icons.map((icon) => {
            icon.type = icon.type ?? "img";
            return icon;
        });
    }
    get type() {
        return this._type;
    }
    set type(value) {
        this.updateBtnClasses(value);
        this._type = value;
    }
    updateBtnClasses(value) {
        let val = {
            [WMLButtonPropsTypeEnum.PRIMARY]: "0",
            [WMLButtonPropsTypeEnum.SECONDARY]: "1",
            [WMLButtonPropsTypeEnum.TERTIARY]: "2"
        }[value];
        this.button.class = "WMLButtonZeroMainButton" + val;
        this.text.class = "WMLButtonZeroMainButton" + val + "Text0";
    }
}

let cpnts$1 = [
    WMLButtonZeroComponent
];
class WMLButtonZeroModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonZeroModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonZeroModule, declarations: [WMLButtonZeroComponent], imports: [i1$1.TranslateModule, WMLNGXTranslatePipe,
            CommonModule,
            ReactiveFormsModule,
            RouterModule], exports: [WMLButtonZeroComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonZeroModule, providers: [
            { provide: WMLNGXTranslatePipe, useValue: WMLNGXTranslateMockPipe }
        ], imports: [TranslateModule.forRoot({
                defaultLanguage: 'en',
                loader: {
                    provide: TranslateLoader,
                    useFactory: () => new WMLNGXTranslateLoader(),
                }
            }),
            CommonModule,
            ReactiveFormsModule,
            RouterModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonZeroModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ...cpnts$1,
                    ],
                    imports: [
                        TranslateModule.forRoot({
                            defaultLanguage: 'en',
                            loader: {
                                provide: TranslateLoader,
                                useFactory: () => new WMLNGXTranslateLoader(),
                            }
                        }),
                        WMLNGXTranslatePipe,
                        CommonModule,
                        ReactiveFormsModule,
                        RouterModule
                    ],
                    exports: [
                        ...cpnts$1
                    ],
                    providers: [
                        { provide: WMLNGXTranslatePipe, useValue: WMLNGXTranslateMockPipe }
                    ],
                }]
        }] });

// angular
// misc
class WMLButtonOneComponent {
    constructor(cdref) {
        this.cdref = cdref;
        this.classPrefix = generateClassPrefix('WMLButtonOne');
        this.myClass = this.classPrefix(`View`);
        this.props = new WMLButtonOneProps({});
        this.ngUnsub = new Subject();
        this.listenForUpdate = () => {
            return this.props.updateSubj
                .pipe(takeUntil(this.ngUnsub), tap((res) => {
                this.props = new WMLButtonOneProps({
                    ...this.props,
                    ...(res ?? this.props)
                });
                this.cdref.detectChanges();
            }));
        };
    }
    ngOnInit() {
        this.listenForUpdate().subscribe();
        this.props.cdref = this.cdref;
        if (this.props.id) {
            this.myId = this.props.id;
        }
        this.props.updateClassString = (...args) => {
            updateClassString(this.props, "_class", "_classList")(...args);
            this.cdref.detectChanges();
        };
        this.props.updateBtnClassString = (...args) => {
            updateClassString(this.props, "_btnClass", "_btnClassList")(...args);
            this.cdref.detectChanges();
        };
        this.props.updateIconClassString = (...args) => {
            updateClassString(this.props, "_iconClass", "_iconClassList")(...args);
            this.cdref.detectChanges();
        };
    }
    ngOnDestroy() {
        this.ngUnsub.next();
        this.ngUnsub.complete();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "20.0.5", type: WMLButtonOneComponent, isStandalone: false, selector: "wml-button-one", inputs: { props: "props" }, host: { properties: { "class": "this.myClass", "attr.id": "this.myId" } }, ngImport: i0, template: "<button [type]=\"props.attr.type\"  *ngIf=\"props.btnIsPresent && !props.link && !props.routerLink\"  (click)=\"props.click($event)\" [class]=\"props.btnClass\" [ngStyle]=\"props.btnStyle\">\r\n  <ng-container [ngTemplateOutlet]=\"buttonBody\"></ng-container>\r\n</button>\r\n\r\n<a [href]=\"props.link\" *ngIf=\"props.btnIsPresent && props.link\"    [class]=\"props.btnClass + ' ' + classPrefix('MainLink0')\" [ngStyle]=\"props.btnStyle\">\r\n  <ng-container [ngTemplateOutlet]=\"buttonBody\"></ng-container>\r\n</a>\r\n\r\n<a [routerLink]=\"props.routerLink\" *ngIf=\"props.btnIsPresent && props.routerLink\"    [class]=\"props.btnClass + ' ' + classPrefix('MainLink0')\" [ngStyle]=\"props.btnStyle\">\r\n  <ng-container [ngTemplateOutlet]=\"buttonBody\"></ng-container>\r\n</a>\r\n\r\n\r\n<ng-template #buttonBody>\r\n  <ng-container *ngIf=\"props.iconIsPresent\" >\r\n    <img *ngIf=\"props.iconType === 'img'\" [src]=props.iconSrc [alt]=\"props.iconAlt\" [class]=\"props.iconClass\" />\r\n    <i *ngIf=\"props.iconType === 'icon'\"  [class]=\"props.iconClass\"></i>\r\n  </ng-container>\r\n  <span [ngStyle]=\"props.style\" [class]=\"props.class\">{{ props.text | translate}}</span>\r\n</ng-template>\r\n", styles: [":root{--wml-button-mobile-font: only screen and (max-width: 600px);--wml-button-mobile: only screen and (max-width: 767px);--wml-button-small-mobile: only screen and (max-width: 320px);--wml-button-medium-mobile: only screen and (max-width: 374px);--wml-button-tablet: only screen and (min-width: 768px) and (max-width: 1199px);--wml-button-tablet-portrait: only screen and (min-width: 768px) and (max-width: 991px);--wml-button-tablet-portrait-down: only screen and (max-width: 991px);--wml-button-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1199px);--wml-button-small-desktop: only screen and (min-width: 992px);--wml-button-tablet-landscape-down: only screen and (max-width: 1199px);--wml-button-desktop: only screen and (min-width: 1200px);--wml-button-not-mobile: only screen and (min-width: 768px);--wml-button-laptop: only screen and (min-width: 1200px) and (max-width: 1440px);--wml-button-laptop-down: only screen and (max-width: 1440px);--wml-button-laptop-tablet: only screen and (min-width: 768px) and (max-width: 1440px);--wml-button-laptop-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1440px);--wml-button-large-desktop: only screen and (min-width: 1441px);--wml-button-large-desktop-down: only screen and (max-width: 1599px);--wml-button-xl-desktop: only screen and (min-width: 1600px);--wml-button-xl-desktop-down: only screen and (max-width: 1919px);--wml-button-xxl-desktop: only screen and (min-width: 1920px);--wml-button-xxxl-desktop: only screen and (min-width: 2000px);--wml-button-dekstop-down-for-campaigns: only screen and (max-width: 1250px);--wml-button-tablet-for-header: only screen and (min-width: 768px) and (max-width: 1230px);--wml-button-tablet-landscape-for-header: only screen and (min-width: 992px) and (max-width: 1230px);--wml-button-tablet-landscape-down-for-header: only screen and (max-width: 1230px);--wml-button-desktop-for-header: only screen and (min-width: 1231px);--wml-button-laptop-for-header: only screen and (min-width: 1231px) and (max-width: 1440px)}:root{--wml-button-white:255,255,255;--wml-button-black:0,0,0;--wml-button-primary:144,238,144;--wml-button-secondary:112,112,112;--wml-button-primary-gradient: radial-gradient(farthest-corner at 100% 0px, rgb(144, 238, 144) 0%, rgb(112, 112, 112) 150%);--wml-button-secondary-gradient: radial-gradient(farthest-corner at 100% 0px, grey 0%, rgb(0, 0, 0) 150%)}.WMLButtonOneMainButton0,.WMLButtonOneMainLink0{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}.WMLButtonOneMainButton0Text0,.WMLButtonOneMainLink0Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+.WMLButtonOneMainButton0Text0,i+.WMLButtonOneMainButton0Text0,img+.WMLButtonOneMainLink0Text0,i+.WMLButtonOneMainLink0Text0{margin:0 0 0 .5rem}.WMLButtonOneMainButton0 img,.WMLButtonOneMainLink0 img{display:inline;width:1.8125rem;height:auto}.WMLButtonOneMainButton0 i,.WMLButtonOneMainLink0 i{font-size:1.25rem}.WMLButtonOneMainButton0 img,.WMLButtonOneMainButton0 i,.WMLButtonOneMainLink0 img,.WMLButtonOneMainLink0 i{flex:0 1 10%}.WMLButtonOneMainButton0:hover,.WMLButtonOneMainLink0:hover{cursor:pointer}.WMLButtonOneMainButton1,.WMLButtonOneMainLink1{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}.WMLButtonOneMainButton1Text0,.WMLButtonOneMainLink1Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+.WMLButtonOneMainButton1Text0,i+.WMLButtonOneMainButton1Text0,img+.WMLButtonOneMainLink1Text0,i+.WMLButtonOneMainLink1Text0{margin:0 0 0 .5rem}.WMLButtonOneMainButton1 img,.WMLButtonOneMainLink1 img{display:inline;width:1.8125rem;height:auto}.WMLButtonOneMainButton1 i,.WMLButtonOneMainLink1 i{font-size:1.25rem}.WMLButtonOneMainButton1 img,.WMLButtonOneMainButton1 i,.WMLButtonOneMainLink1 img,.WMLButtonOneMainLink1 i{flex:0 1 10%}.WMLButtonOneMainButton1:hover,.WMLButtonOneMainLink1:hover{cursor:pointer}.WMLButtonOneMainButton2,.WMLButtonOneMainLink2{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}.WMLButtonOneMainButton2Text0,.WMLButtonOneMainLink2Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+.WMLButtonOneMainButton2Text0,i+.WMLButtonOneMainButton2Text0,img+.WMLButtonOneMainLink2Text0,i+.WMLButtonOneMainLink2Text0{margin:0 0 0 .5rem}.WMLButtonOneMainButton2 img,.WMLButtonOneMainLink2 img{display:inline;width:1.8125rem;height:auto}.WMLButtonOneMainButton2 i,.WMLButtonOneMainLink2 i{font-size:1.25rem}.WMLButtonOneMainButton2 img,.WMLButtonOneMainButton2 i,.WMLButtonOneMainLink2 img,.WMLButtonOneMainLink2 i{flex:0 1 10%}.WMLButtonOneMainButton2:hover,.WMLButtonOneMainLink2:hover{cursor:pointer}.WMLButtonOneView{display:block}.WMLButtonOneView .WMLButtonOneMainLink0{display:inline-block;text-align:center;text-decoration:none;border:none}.WMLButtonOneView .WMLButtonOneMainLink0 span{font-size:1.2547169811em}.WMLButtonOneView .WMLButtonOneMainButton0{background:rgba(var(--wml-button-primary));border:.1875rem solid rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton0:hover{background:rgba(var(--wml-button-secondary));border:.1875rem solid rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton0:hover .WMLButtonOneMainButton0Text0{color:rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton0Text0{color:rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton1{background:radial-gradient(farthest-corner at 100% 0px,gray,#000 150%);border:.1875rem solid rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton1Text0{color:rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton1:hover{background:rgba(var(--wml-button-primary));border:.1875rem solid rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton1:hover .WMLButtonOneMainButton1Text0{color:rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton2{background-color:rgba(var(--wml-button-black));border:.1875rem solid rgba(var(--wml-button-primary))}.WMLButtonOneView .WMLButtonOneMainButton2Text0{color:rgba(var(--wml-button-primary))}.WMLButtonOneView .WMLButtonOneMainButton2:hover{background:rgba(var(--wml-button-secondary));border:.1875rem solid rgba(var(--wml-button-primary))}.WMLButtonOneView .WMLButtonOneMainButton2:hover .WMLButtonOneMainButton2Text0{color:rgba(var(--wml-button-primary))}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2$1.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: i2.WMLNGXTranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneComponent, decorators: [{
            type: Component,
            args: [{ selector: 'wml-button-one', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, standalone: false, template: "<button [type]=\"props.attr.type\"  *ngIf=\"props.btnIsPresent && !props.link && !props.routerLink\"  (click)=\"props.click($event)\" [class]=\"props.btnClass\" [ngStyle]=\"props.btnStyle\">\r\n  <ng-container [ngTemplateOutlet]=\"buttonBody\"></ng-container>\r\n</button>\r\n\r\n<a [href]=\"props.link\" *ngIf=\"props.btnIsPresent && props.link\"    [class]=\"props.btnClass + ' ' + classPrefix('MainLink0')\" [ngStyle]=\"props.btnStyle\">\r\n  <ng-container [ngTemplateOutlet]=\"buttonBody\"></ng-container>\r\n</a>\r\n\r\n<a [routerLink]=\"props.routerLink\" *ngIf=\"props.btnIsPresent && props.routerLink\"    [class]=\"props.btnClass + ' ' + classPrefix('MainLink0')\" [ngStyle]=\"props.btnStyle\">\r\n  <ng-container [ngTemplateOutlet]=\"buttonBody\"></ng-container>\r\n</a>\r\n\r\n\r\n<ng-template #buttonBody>\r\n  <ng-container *ngIf=\"props.iconIsPresent\" >\r\n    <img *ngIf=\"props.iconType === 'img'\" [src]=props.iconSrc [alt]=\"props.iconAlt\" [class]=\"props.iconClass\" />\r\n    <i *ngIf=\"props.iconType === 'icon'\"  [class]=\"props.iconClass\"></i>\r\n  </ng-container>\r\n  <span [ngStyle]=\"props.style\" [class]=\"props.class\">{{ props.text | translate}}</span>\r\n</ng-template>\r\n", styles: [":root{--wml-button-mobile-font: only screen and (max-width: 600px);--wml-button-mobile: only screen and (max-width: 767px);--wml-button-small-mobile: only screen and (max-width: 320px);--wml-button-medium-mobile: only screen and (max-width: 374px);--wml-button-tablet: only screen and (min-width: 768px) and (max-width: 1199px);--wml-button-tablet-portrait: only screen and (min-width: 768px) and (max-width: 991px);--wml-button-tablet-portrait-down: only screen and (max-width: 991px);--wml-button-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1199px);--wml-button-small-desktop: only screen and (min-width: 992px);--wml-button-tablet-landscape-down: only screen and (max-width: 1199px);--wml-button-desktop: only screen and (min-width: 1200px);--wml-button-not-mobile: only screen and (min-width: 768px);--wml-button-laptop: only screen and (min-width: 1200px) and (max-width: 1440px);--wml-button-laptop-down: only screen and (max-width: 1440px);--wml-button-laptop-tablet: only screen and (min-width: 768px) and (max-width: 1440px);--wml-button-laptop-tablet-landscape: only screen and (min-width: 992px) and (max-width: 1440px);--wml-button-large-desktop: only screen and (min-width: 1441px);--wml-button-large-desktop-down: only screen and (max-width: 1599px);--wml-button-xl-desktop: only screen and (min-width: 1600px);--wml-button-xl-desktop-down: only screen and (max-width: 1919px);--wml-button-xxl-desktop: only screen and (min-width: 1920px);--wml-button-xxxl-desktop: only screen and (min-width: 2000px);--wml-button-dekstop-down-for-campaigns: only screen and (max-width: 1250px);--wml-button-tablet-for-header: only screen and (min-width: 768px) and (max-width: 1230px);--wml-button-tablet-landscape-for-header: only screen and (min-width: 992px) and (max-width: 1230px);--wml-button-tablet-landscape-down-for-header: only screen and (max-width: 1230px);--wml-button-desktop-for-header: only screen and (min-width: 1231px);--wml-button-laptop-for-header: only screen and (min-width: 1231px) and (max-width: 1440px)}:root{--wml-button-white:255,255,255;--wml-button-black:0,0,0;--wml-button-primary:144,238,144;--wml-button-secondary:112,112,112;--wml-button-primary-gradient: radial-gradient(farthest-corner at 100% 0px, rgb(144, 238, 144) 0%, rgb(112, 112, 112) 150%);--wml-button-secondary-gradient: radial-gradient(farthest-corner at 100% 0px, grey 0%, rgb(0, 0, 0) 150%)}.WMLButtonOneMainButton0,.WMLButtonOneMainLink0{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}.WMLButtonOneMainButton0Text0,.WMLButtonOneMainLink0Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+.WMLButtonOneMainButton0Text0,i+.WMLButtonOneMainButton0Text0,img+.WMLButtonOneMainLink0Text0,i+.WMLButtonOneMainLink0Text0{margin:0 0 0 .5rem}.WMLButtonOneMainButton0 img,.WMLButtonOneMainLink0 img{display:inline;width:1.8125rem;height:auto}.WMLButtonOneMainButton0 i,.WMLButtonOneMainLink0 i{font-size:1.25rem}.WMLButtonOneMainButton0 img,.WMLButtonOneMainButton0 i,.WMLButtonOneMainLink0 img,.WMLButtonOneMainLink0 i{flex:0 1 10%}.WMLButtonOneMainButton0:hover,.WMLButtonOneMainLink0:hover{cursor:pointer}.WMLButtonOneMainButton1,.WMLButtonOneMainLink1{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}.WMLButtonOneMainButton1Text0,.WMLButtonOneMainLink1Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+.WMLButtonOneMainButton1Text0,i+.WMLButtonOneMainButton1Text0,img+.WMLButtonOneMainLink1Text0,i+.WMLButtonOneMainLink1Text0{margin:0 0 0 .5rem}.WMLButtonOneMainButton1 img,.WMLButtonOneMainLink1 img{display:inline;width:1.8125rem;height:auto}.WMLButtonOneMainButton1 i,.WMLButtonOneMainLink1 i{font-size:1.25rem}.WMLButtonOneMainButton1 img,.WMLButtonOneMainButton1 i,.WMLButtonOneMainLink1 img,.WMLButtonOneMainLink1 i{flex:0 1 10%}.WMLButtonOneMainButton1:hover,.WMLButtonOneMainLink1:hover{cursor:pointer}.WMLButtonOneMainButton2,.WMLButtonOneMainLink2{border-radius:.5rem;padding:.5rem;display:flex;align-items:center;justify-content:center;transition:all 1s}.WMLButtonOneMainButton2Text0,.WMLButtonOneMainLink2Text0{flex:1 1 auto;max-width:100%;white-space:break-spaces}img+.WMLButtonOneMainButton2Text0,i+.WMLButtonOneMainButton2Text0,img+.WMLButtonOneMainLink2Text0,i+.WMLButtonOneMainLink2Text0{margin:0 0 0 .5rem}.WMLButtonOneMainButton2 img,.WMLButtonOneMainLink2 img{display:inline;width:1.8125rem;height:auto}.WMLButtonOneMainButton2 i,.WMLButtonOneMainLink2 i{font-size:1.25rem}.WMLButtonOneMainButton2 img,.WMLButtonOneMainButton2 i,.WMLButtonOneMainLink2 img,.WMLButtonOneMainLink2 i{flex:0 1 10%}.WMLButtonOneMainButton2:hover,.WMLButtonOneMainLink2:hover{cursor:pointer}.WMLButtonOneView{display:block}.WMLButtonOneView .WMLButtonOneMainLink0{display:inline-block;text-align:center;text-decoration:none;border:none}.WMLButtonOneView .WMLButtonOneMainLink0 span{font-size:1.2547169811em}.WMLButtonOneView .WMLButtonOneMainButton0{background:rgba(var(--wml-button-primary));border:.1875rem solid rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton0:hover{background:rgba(var(--wml-button-secondary));border:.1875rem solid rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton0:hover .WMLButtonOneMainButton0Text0{color:rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton0Text0{color:rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton1{background:radial-gradient(farthest-corner at 100% 0px,gray,#000 150%);border:.1875rem solid rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton1Text0{color:rgba(var(--wml-button-white))}.WMLButtonOneView .WMLButtonOneMainButton1:hover{background:rgba(var(--wml-button-primary));border:.1875rem solid rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton1:hover .WMLButtonOneMainButton1Text0{color:rgba(var(--wml-button-black))}.WMLButtonOneView .WMLButtonOneMainButton2{background-color:rgba(var(--wml-button-black));border:.1875rem solid rgba(var(--wml-button-primary))}.WMLButtonOneView .WMLButtonOneMainButton2Text0{color:rgba(var(--wml-button-primary))}.WMLButtonOneView .WMLButtonOneMainButton2:hover{background:rgba(var(--wml-button-secondary));border:.1875rem solid rgba(var(--wml-button-primary))}.WMLButtonOneView .WMLButtonOneMainButton2:hover .WMLButtonOneMainButton2Text0{color:rgba(var(--wml-button-primary))}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { myClass: [{
                type: HostBinding,
                args: ['class']
            }], myId: [{
                type: HostBinding,
                args: ['attr.id']
            }], props: [{
                type: Input,
                args: ['props']
            }] } });
class WMLButtonOneProps extends WMLView {
    constructor(props = {}) {
        super();
        this._iconClass = "";
        this._iconClassList = [];
        this.updateIconClassString = updateClassString(this, "_iconClass", "_iconClassList");
        this.textIsPresent = true;
        this.iconSrc = "";
        this.iconAlt = "";
        this.iconIsPresent = false;
        this.buttonClass = "";
        this._btnClass = "";
        this._btnClassList = [];
        this.updateBtnClassString = updateClassString(this, "_btnClass", "_btnClassList");
        this.btnStyle = {};
        this.btnIsPresent = true;
        this._type = WMLButtonPropsTypeEnum.PRIMARY;
        this.iconType = "img";
        this.text = "Click Me";
        this.click = (evt) => {
            alert("This button was clicked");
        };
        this.updateSubj = new Subject();
        this.attr = {
            /**
             * The type of the button.
             * Possible values: "submit" | "reset" | "button"
             * @type {"submit" | "reset" | "button"}
             */
            type: "button"
        };
        Object.defineProperty(this, 'type', {
            get: () => {
                return this._type;
            },
            set: (value) => {
                this.updateBtnClasses(value);
                this._type = value;
            }
        });
        Object.assign(this, {
            ...props
        });
        // @ts-ignore
        if ([null, undefined].includes(this.type)) {
            this.type = WMLButtonPropsTypeEnum.PRIMARY;
        }
        this.updateBtnClasses(this.type);
    }
    get iconClass() {
        return this._iconClass;
    }
    set iconClass(val) {
        this.updateIconClassString(val);
    }
    get btnClass() {
        return this._btnClass;
    }
    set btnClass(val) {
        this.updateBtnClassString(val);
    }
    updateBtnClasses(value) {
        let val = {
            [WMLButtonPropsTypeEnum.PRIMARY]: "0",
            [WMLButtonPropsTypeEnum.SECONDARY]: "1",
            [WMLButtonPropsTypeEnum.TERTIARY]: "2"
        }[value];
        this.updateBtnClassString("WMLButtonOneMainButton" + val);
        this.class = "WMLButtonOneMainButton" + val + "Text0";
    }
}

let cpnts = [
    WMLButtonOneComponent
];
class WMLButtonOneNGXTranslateModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneNGXTranslateModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneNGXTranslateModule, declarations: [WMLButtonOneComponent], imports: [WMLNGXTranslatePipe,
            CommonModule,
            ReactiveFormsModule,
            RouterModule], exports: [WMLButtonOneComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneNGXTranslateModule, providers: [
            { provide: WMLNGXTranslatePipe, useValue: WMLNGXTranslateMockPipe }
        ], imports: [CommonModule,
            ReactiveFormsModule,
            RouterModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneNGXTranslateModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ...cpnts,
                    ],
                    imports: [
                        WMLNGXTranslatePipe,
                        CommonModule,
                        ReactiveFormsModule,
                        RouterModule
                    ],
                    exports: [
                        ...cpnts
                    ],
                    providers: [
                        { provide: WMLNGXTranslatePipe, useValue: WMLNGXTranslateMockPipe }
                    ],
                }]
        }] });
class WMLButtonOneModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneModule, imports: [i1$1.TranslateModule], exports: [WMLButtonOneNGXTranslateModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneModule, imports: [TranslateModule.forRoot({
                defaultLanguage: 'en',
                loader: {
                    provide: TranslateLoader,
                    useFactory: () => new WMLNGXTranslateLoader(),
                }
            }), WMLButtonOneNGXTranslateModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.5", ngImport: i0, type: WMLButtonOneModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        TranslateModule.forRoot({
                            defaultLanguage: 'en',
                            loader: {
                                provide: TranslateLoader,
                                useFactory: () => new WMLNGXTranslateLoader(),
                            }
                        }),
                    ],
                    exports: [
                        WMLButtonOneNGXTranslateModule
                    ]
                }]
        }] });

/*
 * Public API Surface of wml-button
 */

/**
 * Generated bundle index. Do not edit.
 */

export { WMLButtonOneComponent, WMLButtonOneModule, WMLButtonOneNGXTranslateModule, WMLButtonOneProps, WMLButtonPropsTypeEnum, WMLButtonZeroComponent, WMLButtonZeroModule, WMLButtonZeroProps };
//# sourceMappingURL=windmillcode-angular-wml-button.mjs.map
