import * as i0 from '@angular/core';
import { ChangeDetectorRef } from '@angular/core';
import * as rxjs from 'rxjs';
import { Subject } from 'rxjs';
import { WMLUIProperty, WMLImage, WMLView } from '@windmillcode/wml-components-base';
import * as i2 from '@ngx-translate/core';
import * as i3 from '@windmillcode/angular-wml-components-base';
import * as i4 from '@angular/common';
import * as i5 from '@angular/forms';
import * as i6 from '@angular/router';

type WMLButtonIconType = "img" | "icon";
declare enum WMLButtonPropsTypeEnum {
    PRIMARY = 0,
    SECONDARY = 1,
    TERTIARY = 2
}

declare class WMLButtonZeroComponent {
    cdref: ChangeDetectorRef;
    constructor(cdref: ChangeDetectorRef);
    classPrefix: (val?: string) => string;
    myClass: string;
    myId?: string;
    props: WMLButtonZeroProps;
    ngUnsub: Subject<void>;
    listenForUpdate: () => rxjs.Observable<Partial<WMLButtonZeroProps>>;
    checkPropsInstance: () => string;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WMLButtonZeroComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WMLButtonZeroComponent, "wml-button-zero", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, false, never>;
}
declare class WMLButtonZeroProps {
    constructor(props?: Partial<WMLButtonZeroProps>);
    id?: string;
    cdref?: ChangeDetectorRef;
    updateSubj: Subject<Partial<WMLButtonZeroProps>>;
    private _type;
    get type(): WMLButtonPropsTypeEnum;
    set type(value: WMLButtonPropsTypeEnum);
    private updateBtnClasses;
    text: WMLUIProperty<any, any>;
    button: WMLUIProperty<any, any>;
    icons: WMLImage<any, WMLButtonIconType>[];
    attr: {
        /**
         * The type of the button.
         * Possible values: "submit" | "reset" | "button"
         * @type {"submit" | "reset" | "button"}
         */
        type: string;
    };
}

declare class WMLButtonZeroModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<WMLButtonZeroModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<WMLButtonZeroModule, [typeof WMLButtonZeroComponent], [typeof i2.TranslateModule, typeof i3.WMLNGXTranslatePipe, typeof i4.CommonModule, typeof i5.ReactiveFormsModule, typeof i6.RouterModule], [typeof WMLButtonZeroComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<WMLButtonZeroModule>;
}

declare class WMLButtonOneComponent {
    cdref: ChangeDetectorRef;
    constructor(cdref: ChangeDetectorRef);
    classPrefix: (val?: string) => string;
    myClass: string;
    myId?: string;
    props: WMLButtonOneProps;
    ngUnsub: Subject<void>;
    listenForUpdate: () => rxjs.Observable<Partial<WMLButtonOneProps<any, WMLButtonPropsTypeEnum>>>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WMLButtonOneComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WMLButtonOneComponent, "wml-button-one", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, false, never>;
}
declare class WMLButtonOneProps<V = any, T = WMLButtonPropsTypeEnum> extends WMLView<V, WMLButtonPropsTypeEnum> {
    constructor(props?: Partial<WMLButtonOneProps>);
    private _iconClass;
    private _iconClassList;
    updateIconClassString: (val: string, type?: "add" | "remove" | "clear" | "toggle") => void;
    get iconClass(): string;
    set iconClass(val: string);
    textIsPresent: boolean;
    iconSrc?: string;
    iconAlt?: string;
    iconIsPresent: boolean;
    private buttonClass;
    private _btnClass;
    private _btnClassList;
    updateBtnClassString: (val: string, type?: "add" | "remove" | "clear" | "toggle") => void;
    get btnClass(): string;
    set btnClass(val: string);
    btnStyle: Partial<CSSStyleDeclaration>;
    btnIsPresent: boolean;
    private _type;
    iconType: WMLButtonIconType;
    text: string;
    private updateBtnClasses;
    click: (evt?: any) => void;
    updateSubj: Subject<Partial<WMLButtonOneProps<any, WMLButtonPropsTypeEnum>>>;
    link?: string;
    routerLink?: string;
    attr: {
        /**
         * The type of the button.
         * Possible values: "submit" | "reset" | "button"
         * @type {"submit" | "reset" | "button"}
         */
        type: string;
    };
}

declare class WMLButtonOneNGXTranslateModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<WMLButtonOneNGXTranslateModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<WMLButtonOneNGXTranslateModule, [typeof WMLButtonOneComponent], [typeof i3.WMLNGXTranslatePipe, typeof i4.CommonModule, typeof i5.ReactiveFormsModule, typeof i6.RouterModule], [typeof WMLButtonOneComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<WMLButtonOneNGXTranslateModule>;
}
declare class WMLButtonOneModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<WMLButtonOneModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<WMLButtonOneModule, never, [typeof i2.TranslateModule], [typeof WMLButtonOneNGXTranslateModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<WMLButtonOneModule>;
}

export { WMLButtonOneComponent, WMLButtonOneModule, WMLButtonOneNGXTranslateModule, WMLButtonOneProps, WMLButtonPropsTypeEnum, WMLButtonZeroComponent, WMLButtonZeroModule, WMLButtonZeroProps };
export type { WMLButtonIconType };
